import gtk

import controller

class About(gtk.AboutDialog):
	def main(self):
		gtk.AboutDialog.__init__(self)
		license = open("../doc/copyright", "r").read()
		self.set_name(controller.APP_TITLE)
		self.set_title(controller.APP_TITLE)
		self.set_program_name(controller.APP_TITLE)
		self.set_version(controller.APP_VERSION)
		icon=gtk.gdk.pixbuf_new_from_file("../icons/pybrowser_logo.png")
		self.set_icon(icon)
		self.set_logo(icon)
		self.set_copyright('(c) 2011')
		self.set_license(license)
		self.set_website_label('https://launchpad.net/pybrowser')
		self.set_website(controller.APP_WEBSITE)
		self.set_authors([controller.APP_CREDITS])
		self.set_comments(controller.APP_DESCRIPTION)
		self.run()
		self.destroy()       
