#/usr/bin/env python
##
#   Project: pybrowser - A fast and lightweight browser  
#   Author: Mario Guerriero <mefrio.g@gmail.com>
#   Copyright: 2011 Mario Guerriero
#   License: GPL-3+
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 3 of the License, or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
# On Debian GNU/Linux systems, the full text of the GNU General Public License
# can be found in the file /usr/share/common-licenses/GPL-3.
##

import os
import shutil
import user

from translate import _

userhome = user.home

APP_NAME = "pybrowser"
APP_TITLE = "pyBrowser"
APP_VERSION = "0.2"
APP_DESCRIPTION = _("A fast and lightweight browser")
APP_WEBSITE = "hhtp://launchpad.new/pybrowser"
APP_LICENSE = "GPLv3"
APP_AUTHOR = "Mario Guerriero"
APP_AUTHOR_MAIL = "mefrio.g@gmail.com"
APP_CREDITS = "Mario Guerriero <mefrio.g@gmail.com>\nStephen Smally <stephen.smally@gmail.com>"

DATA_DIR = userhome + "/.pybrowser/"

def controll_folder():
	if os.path.exists(userhome + "/.pybrowser"):
		pass
	else:
		os.mkdir(userhome+"/.pybrowser")
		shutil.copyfile("../data/settings.ini", userhome+"/.pybrowser/settings.ini")
		shutil.copyfile("../data/bookmark.ini", userhome+"/.pybrowser/bookmark.ini")
		shutil.copyfile("../data/history.ini", userhome+"/.pybrowser/history.ini")
