#/usr/bin/env python
##
#   Project: pybrowser - A fast and lightweight browser  
#   Author: Mario Guerriero <mefrio.g@gmail.com>
#   Copyright: 2011 Mario Guerriero
#   License: GPL-3+
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 3 of the License, or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
# On Debian GNU/Linux systems, the full text of the GNU General Public License
# can be found in the file /usr/share/common-licenses/GPL-3.
##

import os
from gi.repository import Notify

from ConfigParser import RawConfigParser

from translate import _

from controller import *

"""functions for the download"""
def start_download(url):
	notify = Notify.Notification("pyBrowser Download notify", _("Download started"), "dialog-info")
	notify.show()
	os.popen("cd " + get_path() + " && wget " + url)
	notify = Notify.Notification("pyBrowser Download notify", _("Download complete"), "dialog-info")
	notify.show()

def get_path():
	config = RawConfigParser()
	config.read(SETTINGS_FILE)
	download_path = config.get("General", "DownloadPath")
	return download_path
